class AddTimeSecondsToContestant < ActiveRecord::Migration[8.0]
  def change
    add_column :contestants, :time_seconds, :integer

    Contestant.find_each do |contestant|
      contestant.time_seconds = 0
      contestant.completions.each do |completion|
        contestant.time_seconds += completion.time_seconds
      end
      contestant.save
    end

    change_column_null :contestants, :time_seconds, true
  end
end
